BLAS/SRC/dcopy.f(3)

NAME
BLAS/SRC/dcopy.f

SYNOPSIS

  Functions/Subroutines
subroutine dcopy (n, dx, incx, dy, incy)
DCOPY

Function/Subroutine Documentation

  subroutine dcopy (integer n, double precision, dimension(*) dx, integer incx, double precision, dimension(*) dy, integer incy)

DCOPY

Purpose:

    !>
    !>    DCOPY copies a vector, x, to a vector, y.
    !>    uses unrolled loops for increments equal to 1.
    !>

Parameters
    N

    !>          N is INTEGER
    !>         number of elements in input vector(s)
    !>

    DX

    !>          DX is DOUBLE PRECISION array, dimension ( 1 + ( N - 1 )*abs( INCX ) )
    !>

    INCX

    !>          INCX is INTEGER
    !>         storage spacing between elements of DX
    !>

    DY

    !>          DY is DOUBLE PRECISION array, dimension ( 1 + ( N - 1 )*abs( INCY ) )
    !>

    INCY

    !>          INCY is INTEGER
    !>         storage spacing between elements of DY
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

    !>
    !>     jack dongarra, linpack, 3/11/78.
    !>     modified 12/3/93, array(1) declarations changed to array(*)
    !>

Definition at line 81 of file dcopy.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.